<?php
/** 
* Polish Language File developed by mybboard.pl for Forum stats in profile
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 
/**
 *	Copyright © 2006-2008 CraKteR, crakter [at] gmail [dot] com
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *	@version $Id: forumstatsprofile.php 27 2008-08-14 18:55:46Z CraKteR $
 *	@copyright $LastChangedDate: 2008-08-14 20:55:46 +0200 (to, 14 aug 2008) $
 *	@author CraKteR <crakter@gmail.com>
 */

if(!defined("IN_MYBB"))
{
    die("This file cannot be accessed directly.");
}

$plugins->add_hook("member_profile_end", "forumstatsprofile_run");

function forumstatsprofile_info()
{
    return array(
        "name"				=> "Forum stats in profile",
        "description"		=> "",
        "website"			=> "",
        "author"			=> "CraKteR",
        "authorsite"		=> "mailto:crakter@gmail.com",
        "version"			=> "2.0",
		"guid"				=> "d7a800b3f21e2bdd860e6f41e1ca2b5f",
		"compatibility" 	=> "14*",
    );
}

function forumstatsprofile_activate()
{
	global $db;

	$template = array(
		"tid"		=> NULL,
		"title"		=> "forumstats_profile",
		"template"	=> "<br />
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\" width=\"100%\">
	<tr>
		<td class=\"thead\" colspan=\"2\"><strong>Statystyki użytkownika {\$memprofile[\'username\']}</strong></td>
	</tr>
	<tr>
		<td class=\"trow1\">Najbardziej aktywny w:</td>
		<td class=\"trow1\">{\$forumname}</td>
	</tr>
	<tr>
		<td class=\"trow2\">Liczba wątków w tym dziale:</td>
		<td class=\"trow2\">{\$fid_num}</td>
	</tr>
	<tr>
		<td class=\"trow2\">Liczba postów w tym dziale:</td>
		<td class=\"trow2\">{\$post_count}</td>
	</tr>
	<tr>
		<td class=\"trow2\">Liczba wypowiedzi użytkownika spośród wszystkich w tym dziale:</td>
		<td class=\"trow2\">{\$stats_procents}</td>
	</tr>
</table>",
		"sid"		=> "-1"
	);

	$db->insert_query("templates", $template);
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("member_profile", '#{\$signature}#', "{\$signature}\n{\$forumstats}");
}

function forumstatsprofile_deactivate()
{
	global $db;

	$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='forumstats_profile'");

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("member_profile", '#{\$forumstats}(\r?)(\n?)#', '', 0);
}

function forumstatsprofile_run()
{
	global $memprofile, $mybb, $db, $templates, $unviewableforums, $forumstats, $theme, $forumpermissions;

	if(!$unviewableforums)
	{
		$unviewableforums = get_unviewable_forums();
	}

	if(!$forumpermissions)
	{
		$forumpermissions = forum_permissions();
	}

	$fidnot = "1=1";

	if($unviewableforums)
	{
		$fidnot = "f.fid NOT IN ($unviewableforums)";
	}
	$fidnot .= " AND t.uid='".$memprofile['uid']."'";

	$query = $db->simple_select("threads t LEFT JOIN ".TABLE_PREFIX."forums f ON (t.fid=f.fid)", "t.tid, t.fid, f.password", $fidnot);
	$fids = array();
	$numcount = 0;
	while($thread = $db->fetch_array($query))
	{
		if(($thread['password'] != '' && $_COOKIE['forumpass'][$thread['fid']] != md5($mybb->user['uid'].$thread['password'])) || ($forumpermissions[$thread['fid']]['canview'] != 1 && $mybb->settings['hideprivateforums'] == 1))
		{
			continue;
		}
		$fids[$thread['fid']]++;
		$numcount++;
	}
	arsort($fids);
	$fid = current(array_keys($fids));
	$fid_num = intval(current($fids));
	if($fid_num == 0)
	{
		$fid_num = "Nie można pobrać liczby wątków.";
	}
	$query = $db->simple_select("forums", "name", "fid='".$fid."'");
	$forumname = $db->fetch_field($query, 'name');
	if($forumname == "")
	{
		$forumname = "Nie można pobrać nazwy działu.";
	}
	else
	{
		$forumname = "<a href=\"./forumdisplay.php?fid={$fid}\">".$forumname."</a>";
	}
	$query = $db->simple_select("posts", "COUNT(*) as num", "fid='".$fid."' AND uid='".$memprofile['uid']."'");
	$post_count = $db->fetch_field($query, 'num');

	if($post_count == 0)
	{
		$post_count = "0";
	}

	$stats_procents = "Nie można obliczyć wartości procentowej.";

	if($fid_num != 0 && $numcount != 0)
	{
		$stats_procents = my_number_format(round((($fid_num / $numcount) * 100), 2)) . "%";
	}

	eval("\$forumstats = \"".$templates->get("forumstats_profile")."\";");
}
?>